#include <stdlib.h>
#include <stdio.h>

#include "include/main.h"
#include "include/segment.h"

Segment *new_segment(int x, int y) {
    Segment *c;
    c = (Segment *)malloc(sizeof(Segment));
    if (!c)
        die("segment.c: new_segment(): 'c' is null pointer");

    c->x = x;
    c->y = y;
    c->prev_x = EOF;
    c->prev_y = EOF;

    return c;
}
void delete_segment(Segment *c) {
    free_s(c);
}

void segment_move(Segment *c, int x, int y) {
    if (!c)
        die("segment.c: segment_move(): 'c' is null pointer");

    c->prev_x = c->x;
    c->x = x;
    c->prev_y = c->y;
    c->y = y;
}
